
.mplane {
    padding: 10px;
}

.wingRowTop {
    position:absolute;
    border-collapse: collapse;
    border-spacing: 0px;    
    margin-top: -37px;    
    -webkit-transform: skew(-25deg);
	   -moz-transform: skew(-25deg);
	     -o-transform: skew(-25deg);
    transform: skew(-25deg);
}
.wingRowBottom {
    position:absolute;
    border-collapse: collapse;
    border-spacing: 0px;
    margin-top: 5px;
    -webkit-transform: skew(25deg);
	   -moz-transform: skew(25deg);
	     -o-transform: skew(25deg);
    transform: skew(25deg);  
}

#seatmap { 
    position: relative; 
}
#seatmap table {
    border-collapse: separate;
    border-spacing: 3px;
}


#plane {
	width: 800px;
	height: auto;
	background: #fff;
    border: solid 1px #aaa;
	border-radius: 80px 0 0 80px;
    z-index: 1;
}
    #plane .rows {
        width: 30px;
        float: left;  
        empty-cells: show;
        margin-top: 5px;
        margin-left: 30px;
    }
        #plane .rows td { 
            height: 16px; 
            text-align: right;
        }

#cabin { 
    background-color: #dedede; 
    border: none;
    border-left: double 3px #aaa;
    width: 727px; 
    height: auto; 
    padding: 2px 5px;
    float: left;
    margin-left: 0px;
}

#cabin td { width: 15px; height: 15px; border: solid 1px #666; border-radius: 7px 0 0 7px; text-align: center; cursor: pointer; }
    #cabin td.row              { background-color: transparent; border: none; font-weight: bold; padding-right: 7px; }
    #cabin td.seatAvailable    { background-color: #01B213; color: #fff; }
    #cabin td.seatUnavailable  { background-color: #aaa !important; color: #ddd !important; }
    #cabin td.ExtraPay         { background-color: navy; color: #fff !important; }
    #cabin td.LargeSeat        { width: 23px; }
    #cabin td.noSeatGalley     { background-color: transparent; border: none; width: 10px; height: 10px;  }
    #cabin td.noSeatStorage    { background-color: #aaa; }
    #cabin td.noSeatLavatory   { background-color: #aaa; }

#cabin tr:first-child td,
#cabin tr:last-child td { height: 30px; border: none; border-radius: 0; }

#cabin tr:first-child td.wingSeat,
#cabin tr:last-child td.wingSeat{ border: none; }
#cabin tr:first-child td.wingSeat { background: linear-gradient(to bottom, rgba(0, 0, 0, 0),  rgba(0, 0, 0, 0.3)); }
#cabin tr:last-child td.wingSeat { background: linear-gradient(to bottom, rgba(0, 0, 0, 0.3),  rgba(0, 0, 0, 0)); }